%{!?__pear:       %global __pear       %{_bindir}/pear}
%global pear_name Mail_Mime

Name:           php-pear-Mail-Mime
Version:        1.10.11
Release:    1%{?dist}
Summary:        Classes to create MIME messages

License:        BSD-3-Clause
URL:            http://pear.php.net/package/Mail_Mime
Source0:        http://pear.php.net/get/Mail_Mime-%{version}.tgz

BuildArch:      noarch
BuildRequires:  php-pear(PEAR) >= 1.6.0
BuildRequires:  php-mbstring

Requires:       php-pear(PEAR) >= 1.6.0
Requires:       php-date
Requires:       php-mbstring
Requires:       php-pcre
Requires(post): %{__pear}
Requires(postun): %{__pear}

Provides:       php-pear(%{pear_name}) = %{version}
Provides:       php-composer(pear/mail_mime) = %{version}


%description
Mail_Mime provides classes to deal with the creation and manipulation 
of MIME messages. It allows people to create e-mail messages consisting of:
* Text Parts
* HTML Parts
* Inline HTML Images
* Attachments
* Attached messages

It supports big messages, base64 and quoted-printable encoding and
non-ASCII characters in file names, subjects, recipients, etc. encoded
using RFC2047 and/or RFC2231.


%prep
%setup -q -c 
cd %{pear_name}-%{version}
mv ../package.xml %{name}.xml


%build


%install
cd %{pear_name}-%{version}
%{__pear} install --nodeps --packagingroot %{buildroot} %{name}.xml

rm -rf %{buildroot}%{pear_metadir}/.??*

mkdir -p %{buildroot}%{pear_xmldir}
install -pm 644 %{name}.xml %{buildroot}%{pear_xmldir}


%check
cd %{pear_name}-%{version}
%{__pear} \
   run-tests \
   -i "-d include_path=%{buildroot}%{pear_phpdir}:%{pear_phpdir}" \
   tests | tee ../tests.log
grep "FAILED TESTS" ../tests.log && exit 1
exit 0


%post
%{__pear} install --nodeps --soft --force --register-only %{pear_xmldir}/%{name}.xml >/dev/null ||:


%postun
if [ "$1" -eq "0" ]; then
   %{__pear} uninstall --nodeps --ignore-errors --register-only %{pear_name} >/dev/null ||:
fi


%files
%doc %{pear_testdir}/%{pear_name}
%{pear_xmldir}/%{name}.xml
%{pear_phpdir}/Mail


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.10.11-1
- initial build
